#include<iostream>
using namespace std;

int n, m, k, a[1000000], b[1000000];

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
	
	cin >> n >> m >> k;
	for (int i=0; i<k; i++)
		cin >> a[i] >> b[i];
	
	cout << 1;
}